<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <script src="../../../../clover.js" type="text/javascript"></script>
  <script src="../../../../sorttable.js" type="text/javascript"></script>

  <style type="text/css" media="screen">
      @import url('../../../../style.css');
      @import url('../../../../roundedcorners.css');
  </style>
<title> HttpClient 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div class="titleText">
      <a href="pkg-summary.html" target="classPane" title="org.apache.http.auth">org.apache.http.auth</a>
    </div>
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  active ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">AUTH</span>
            <a class="classlist" target="classPane" href="AUTH.html#AUTH" title="org.apache.http.auth.AUTH">AUTH</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AuthOption</span>
            <a class="classlist" target="classPane" href="AuthOption.html#AuthOption" title="org.apache.http.auth.AuthOption">AuthOption</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
              <tr>
    <td><span class="sortValue">AuthSchemeRegistry</span>
            <a class="classlist" target="classPane" href="AuthSchemeRegistry.html#AuthSchemeRegistry" title="org.apache.http.auth.AuthSchemeRegistry">AuthSchemeRegistry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.41025642</span>
        <i>(41%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AuthScope</span>
            <a class="classlist" target="classPane" href="AuthScope.html#AuthScope" title="org.apache.http.auth.AuthScope">AuthScope</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.57024795</span>
        <i>(57%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AuthState</span>
            <a class="classlist" target="classPane" href="AuthState.html#AuthState" title="org.apache.http.auth.AuthState">AuthState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.4722222</span>
        <i>(47.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AuthenticationException</span>
            <a class="classlist" target="classPane" href="AuthenticationException.html#AuthenticationException" title="org.apache.http.auth.AuthenticationException">AuthenticationException</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicUserPrincipal</span>
            <a class="classlist" target="classPane" href="BasicUserPrincipal.html#BasicUserPrincipal" title="org.apache.http.auth.BasicUserPrincipal">BasicUserPrincipal</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8484849</span>
        <i>(84.8%)</i><br/>
    </td>
  </tr>
              <tr>
    <td><span class="sortValue">InvalidCredentialsException</span>
            <a class="classlist" target="classPane" href="InvalidCredentialsException.html#InvalidCredentialsException" title="org.apache.http.auth.InvalidCredentialsException">InvalidCredentialsException</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">MalformedChallengeException</span>
            <a class="classlist" target="classPane" href="MalformedChallengeException.html#MalformedChallengeException" title="org.apache.http.auth.MalformedChallengeException">MalformedChallengeException</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NTCredentials</span>
            <a class="classlist" target="classPane" href="NTCredentials.html#NTCredentials" title="org.apache.http.auth.NTCredentials">NTCredentials</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.875</span>
        <i>(87.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NTUserPrincipal</span>
            <a class="classlist" target="classPane" href="NTUserPrincipal.html#NTUserPrincipal" title="org.apache.http.auth.NTUserPrincipal">NTUserPrincipal</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8125</span>
        <i>(81.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">UsernamePasswordCredentials</span>
            <a class="classlist" target="classPane" href="UsernamePasswordCredentials.html#UsernamePasswordCredentials" title="org.apache.http.auth.UsernamePasswordCredentials">UsernamePasswordCredentials</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8913044</span>
        <i>(89.1%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>